E-MailRelay

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
G::PamError Class Reference

An exception class used by G::Pam. More...

`#include <gpamerror.h>`

Inheritance diagram for G::PamError:

## Public Member Functions
| PamError (const std::string &op, int pam_error)
| Constructor.
| PamError (const std::string &op, int pam_error, const char *)
| Constructor.
Public Member Functions inherited from G::Exception
| Exception (const char *what)
| Constructor.
| Exception (const std::string &what)
| Constructor.
| Exception (const char *what, const std::string &more)
| Constructor.
| Exception (const std::string &what, const std::string &more)
| Constructor.
| Exception (const std::string &what, const std::string &more1, const std::string &more2)
| Constructor.
| Exception (const std::string &what, const std::string &more1, const std::string &more2, const std::string &more3)
| Constructor.
virtual | ~Exception () g__noexcept
| Destructor.
virtual const char * | what () const g__noexcept override
| Override from std::exception.
void | prepend (const char *context)
| Prepends context to the what string. More...
void | append (const char *more)
| Appends 'more' to the what string. More...
void | append (const std::string &more)
| Appends 'more' to the what string. More...

## Additional Inherited Members
Protected Attributes inherited from G::Exception
std::string | m_what

## Detailed Description

An exception class used by G::Pam.

Definition at line 36 of file gpamerror.h.

The documentation for this class was generated from the following files:

- /tmp/slackrepo/SBo/slackrepo.S3SYfd/build_emailrelay/emailrelay-2.0.1/src/glib/gpamerror.h
- /tmp/slackrepo/SBo/slackrepo.S3SYfd/build_emailrelay/emailrelay-2.0.1/src/glib/gpamerror.cpp